Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228205 - sound doesn't work after resume
Summary: sound doesn't work after resume
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pierre Ossman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2007-02-11 13:50 UTC by Matthias Clasen
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-05 13:23:39 UTC


Attachments (Terms of Use)

Description Matthias Clasen 2007-02-11 13:50:53 UTC
I tried to see how pulseaudio handles suspend/resume, and I was somewhat
disappointed. 

After resume, I don't get any sound anymore, and a rhythmbox that was playing
music before the resume just blocks in FUTEX_WAIT without even redrawing its ui.

I haven't tested it yet, but there is a pulseaudio patch in 
http://pulseaudio.org/ticket/26 
which may be relevant to this.

Comment 1 Matthias Clasen 2007-02-11 13:57:46 UTC
The Ubuntu packages carry that patch, fwiw.

Comment 2 Pierre Ossman 2007-03-05 13:23:39 UTC
New patch in package.


Note You need to log in before you can comment on or make changes to this bug.